---@meta

---@class UWG_Continue_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SaveList URGListView
---@field Playtime UWG_SaveDetailRow_C
---@field LoadGameBtn UWG_MenuButton_C
---@field LastTimePlayed UWG_SaveDetailRow_C
---@field DetailsView UCommonBorder
---@field DeleteGameBtn UWG_MenuButton_C
---@field Checkpoint UWG_SaveDetailRow_C
---@field BackBtn UWG_MenuButton_C
---@field SaveGame boolean
---@field bIsItemSelected boolean
---@field SaveItems TArray<USaveGameListItem_C>
local UWG_Continue_C = {}

---@param MyGeometry FGeometry
---@param InFocusEvent FFocusEvent
---@return FEventReply
function UWG_Continue_C:OnFocusReceived(MyGeometry, InFocusEvent) end
---@param MetadataLoaded USaveGameListItem_C
function UWG_Continue_C:OnSelectedItemMetadataLoaded(MetadataLoaded) end
function UWG_Continue_C:UpdateDetailsView() end
---@param saveName FString
---@param bShouldShow boolean
function UWG_Continue_C:ShouldShowSave(saveName, bShouldShow) end
function UWG_Continue_C:ReSortSaves() end
---@param MetadataLoaded USaveGameListItem_C
function UWG_Continue_C:OnMetdataLoaded(MetadataLoaded) end
---@param A USaveGameListItem_C
---@param B USaveGameListItem_C
---@param bShouldSwap boolean
function UWG_Continue_C:ShouldSwapSaveItems(A, B, bShouldSwap) end
function UWG_Continue_C:SortSaves() end
function UWG_Continue_C:RefreshSaveList() end
function UWG_Continue_C:UpdateEnabledForLoadAndDelete() end
function UWG_Continue_C:BP_OnActivated() end
---@param Button UCommonButtonBase
function UWG_Continue_C:BndEvt__WG_Continue_BackBtn_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_Continue_C:BndEvt__WG_Continue_LoadGameBtn_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Item UObject
---@param bIsSelected boolean
function UWG_Continue_C:BndEvt__WG_Continue_SaveList_K2Node_ComponentBoundEvent_2_OnListItemSelectionChangedDynamic__DelegateSignature(Item, bIsSelected) end
---@param Button UCommonButtonBase
function UWG_Continue_C:BndEvt__WG_Continue_DeleteGameBtn_K2Node_ComponentBoundEvent_4_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Widget UCommonActivatableWidget
UWG_Continue_C['RestartFromLastCheckpoint?'] = function(self, Widget) end
function UWG_Continue_C:ConfirmedDelete() end
---@param Item UObject
function UWG_Continue_C:BndEvt__WG_Continue_SaveList_K2Node_ComponentBoundEvent_3_SimpleListItemEventDynamic__DelegateSignature(Item) end
function UWG_Continue_C:DeletePopupDeactivated() end
---@param EntryPoint int32
function UWG_Continue_C:ExecuteUbergraph_WG_Continue(EntryPoint) end


